.menuClass { position: relative; z-index: 7200; }
.menuClass a:hover { text-decoration: underline; }
.menuClass ul{ list-style-type:none;margin:0;padding:0; }
.menuClass li{ position: relative; }
.menuClass > ul > li{ display:block;float:left; }

.menuClass > ul > li > ul { display:none; }
.menuClass > ul > li > ul ul { padding-left: 15px; }
.menuClass > ul > li ul li { display: block; }
.menuClass > ul > li:hover > ul{ min-width: 220px; position: absolute; left: 0;}

/**
* .mainMenuStyle
**/
.mainMenuStyle { background: #F6F5F5; padding: 10px 20px; border-radius: 0 0 20px 20px;  }
.mainMenuStyle > ul > li { position:relative; margin-right: 10px; }
.mainMenuStyle > ul > li > a { position:relative; padding:8px 5px 7px 10px; transition: background-color 0.3s ease; }
.mainMenuStyle > ul > li > a:after { content:"";  width: 3px; height: 3px; float: right; border: solid var(--font-color); border-width: 0 0 1px 1px; display: inline-block; transform: rotate(-45deg); -webkit-transform: rotate(-45deg); margin-top: 8px; transition: all 0.30s ease; }
.mainMenuStyle > ul > li > a:only-child:after { content: none; }
.mainMenuStyle > ul > li:hover > a:after { transform: rotate(-225deg); }

.mainMenuStyle > ul > li:hover > a { color: #000000; }
.mainMenuStyle > ul ul li a:hover { color: #000000; }


.mainMenuStyle .menuShow { display: block; background-color: #F6F5F5; margin-top: 5px;padding: 16px; max-height: 450px; overflow-y: auto; position: absolute; border-bottom: 1px solid var(--font-color);  }
.mainMenuStyle > ul > li ul li { margin: 0; }
.mainMenuStyle > ul li ul li a { padding-top:4px; padding-bottom:4px; letter-spacing: 1px; display: block; }

.menu-collapsePanel{ max-height: 20vh; overflow: hidden; }

@media only screen and (max-width: 800px) {

  .menuShow { display: none; }
  .mainMenuStyle{ display: none; }
  .res-menu_trg{ display: inline-block; background: url('../images/responsive_menu.svg') no-repeat right bottom / 40px; width: 40px; height: 40px; cursor: pointer; user-select: none; }
  .res-menu_trg.ce-trg-opened{ background:url('/eshop/scripts/images/close.svg') no-repeat 8px center / 20px;  }


  .noscroll .pageContent, .noscroll footer{ visibility: hidden; }

  .ceres_menu_main { position: absolute; }
  .ceres_menu_main { padding-left: 1%; }
  .noscroll .ceres_menu_main { height: calc(100vh - 40px); }
  .noscroll .bodyClass{ background: #fff; }
  .noscroll .products-view-tools .c-categories-link.ctg-active .ctg-title{ visibility: hidden; }
}

/* Sitemap */
.eshopCategory { position: relative; z-index: 7000; width: 100%; margin: 0 auto; }
.eshopCategory ul, .eshopCategory li{ margin:0; padding:0; list-style:none; }
.eshopCategory > ul { display: flex; justify-content:center; flex-wrap: wrap; gap: 2.5%; }
.eshopCategory > ul > li { transition: all 0.30s ease; }
.eshopCategory > ul > li:last-child { border-right-color: transparent; }
.eshopCategory > ul > li > a { padding: 12px 0; display: inline-block; border-bottom: 2px solid transparent; line-height: initial; font-weight: 900; position: relative; }
.eshopCategory > ul > li > a:after { content:"";  width: 5px; height: 5px; float: right; border: solid #000; border-width: 0 0 2px 2px; display: inline-block; transform: rotate(-45deg); -webkit-transform: rotate(-45deg); margin-top: 4px; margin-left: 5px; transition: all 0.30s ease; }
.eshopCategory > ul > li > a:only-child:after { content: none; }

.eshopCategory > ul > li:hover > a:after { transform: rotate(-405deg); margin-top: 5px; }
.eshopCategory > ul > li > a:hover{ text-decoration: none; border-bottom: 1px solid #87a327; }
.eshopCategory > ul > li.c-clicked-top > a { color: #87a327; }
.eshopCategory > ul > li.c-clicked-top > a:after { border-color: #87a327; }

.eshopCategory > ul > li > a:hover { border-bottom: 2px solid #87a327; text-decoration: none; }
.eshopCategory > ul > li > ul { display: none; }

.eshopCategory .menuShow { display: block; position: absolute; background: #f6faeb; max-height: 450px; overflow-y: auto; width: 100%;left: 0;padding: 2em; text-align: center; border: 1px solid #e8edd7; box-shadow: 0px 16px 50px 10px rgba(229, 232, 215, 0.5); }
.eshopCategory .menuShow > li { display: inline-block; color: #000000; font-weight:bold; margin: 0.5em 1.5em; vertical-align: top; text-align: left; position: relative; }
.eshopCategory .menuShow > li ul { font-weight:normal; margin:1em 0; }
.eshopCategory .menuShow > li ul li { margin:0.15em 0; }

.eshopCategory .menuShow li > a:hover { text-decoration: underline; }
.eshopCategory .menuShow ul { display: none; }


.eshopCategoryHighlight{ background-color: #cdbbac; }


.categoryPanel { position: relative; margin-top: 20px; border: 1px solid #e8edd7; padding: 1rem; background: #f6faeb; border-radius: 10px; box-shadow: 0px 16px 81px 27px rgba(229, 232, 215, 0.5); }
.categoryPanel:empty{ display: none; }
.categoryPanel ul, .categoryPanel li{ margin:0; padding:0; list-style:none; }
.categoryPanel .inactiveItem a { color: #c30404; text-decoration:line-through; }
.categoryPanel a { padding: 7px 5px 7px 0; text-decoration:none; display:block; transition: all 0.25s ease; }
.categoryPanel a:hover { text-indent:3px; text-decoration: underline; }


.categoryPanel > a  { color: #000000; font-size:1rem;font-weight:bold; margin-bottom: 10px; }
.categoryPanel > a:only-child{ display: none; }

.categoryPanel ul ul{ display:none; }
.categoryPanel li{ position:relative; word-wrap: break-word; }


.categoryPanel li > a:not(:last-child):after { content:""; width: 4px; height: 4px; position: absolute; margin-left: 1rem; margin-top: 0.55em; border: solid black; border-width: 0 0 1px 1px; display: inline-block; transform: rotate(-45deg); -webkit-transform: rotate(-45deg); }
.categoryPanel li.selectedLi > a:not(:last-child):after { border-width: 0 0 2px 2px; }


.categoryPanel li.expanded > ul { display: block; }
.categoryPanel li.selectedLi > a { font-weight:bold; color:#000000; background: #e8edd7; padding-left: 1rem; margin-left: -1rem; margin-right: -1rem; }



/* second level */
.categoryPanel li li{ margin-bottom:3px; margin-left: 20px; }
.categoryPanel li li a { padding: 5px 0; }


@media only screen and (max-width: 800px) {
  .ceres_menu_main .b_res-tree:first-child > ul { margin-top: 0; }
}

@media only screen and (max-width: 800px) {

  .eshopCategory > ul {display: none; }
  .categoryPanel > a  { display: none; }
  .categoryPanel > :last-child { margin-bottom: 0; }

  .eshopCategory ul, .eshopCategory li, .category_res_main ul, .category_res_main li{ margin:0; padding:0; list-style:none; }
  .eshopCategory > ul > li, .category_res_main > ul > li { background: url('right.png') no-repeat 95% 50%; }
  .eshopCategory > ul > li > a, .category_res_main > ul > li > a { display: block; padding: 12px 45px 12px 10px; }

  .ceres_menu_main{ margin-top: 60px; background: #fff; }
  .ceres_menu_main li a{ font-weight: bold; }

  .ceres_menu_main .b_res-ce_menu li a{ font-weight: normal; }

  .ceres_menu_main li.collapsed > .icon-expand::after, .ceres_menu_main .icon-expand{ border-color: #eaf3d3; font-weight: bold;  }
  .ceres_menu_main li.collapsed > .icon-expand::after { border-width: 0 0 2px 2px; border-color: var(--font-color); }
  .ceres_menu_main .b_res-tree > ul > li,  .ceres_menu_main li,  .ceres_menu_main .b_res-tree > ul > li:last-child, .ceres_menu_main .b_res-tree > ul > li:last-child { border-color: #eaf3d3; }

}